Ask Your Question
1

“python3.7” cannot be opened because the developer cannot be verified.

asked 2020-05-06 00:44:55 +0200

admitUser gravatar image

updated 2020-05-06 00:53:58 +0200

I am in the process of installing SageMath version 9.0 (Release Date: 2020-01-01), on a Mac, running Catalina Version 10.15.3, via dmg. When I run sage (via a terminal), I get the message

“python3.7” cannot be opened because the developer cannot be verified.

I cannot progress past this point. (The usual tricks, like "hold option when opening a program", do not work here, since I am running Sage from a terminal.)

edit retag flag offensive close merge delete

Comments

Welcome to Ask Sage! Thank you for your question!

slelievre gravatar imageslelievre ( 2020-05-06 00:56:03 +0200 )edit

Sadly Apple is making everybody's life a little harder with every release of macOS...

I put some links in an answer as they would not fit in a comment.

slelievre gravatar imageslelievre ( 2020-05-06 00:56:48 +0200 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2020-05-06 00:55:28 +0200

slelievre gravatar image

Have you looked at answers to previously asked similar questions?

edit flag offensive delete link more

Comments

Thanks a lot for the speedy reply and for the helpful links! I had looked at several before asking this, but missed this one particularly useful link:

https://groups.google.com/forum/#!top...

Following up on that link eventually led me to find that there is a global way to disable Gatekeeper:

sudo spctl --master-disable

admitUser gravatar imageadmitUser ( 2020-05-06 01:45:22 +0200 )edit

Glad this helped, and thanks for explaining which particular link and command helped.

slelievre gravatar imageslelievre ( 2020-05-06 23:13:51 +0200 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2020-05-06 00:44:55 +0200

Seen: 1,358 times

Last updated: May 06 '20